Apply by doing:
	/usr/src
	patch -p0 < 003_vr.patch

Then build and install a new kernel.

Index: sys/dev/pci/if_vr.c
===================================================================
RCS file: /cvs/src/sys/dev/pci/if_vr.c,v
retrieving revision 1.105
retrieving revision 1.105.2.1
diff -u -r1.105 -r1.105.2.1
--- sys/dev/pci/if_vr.c	19 May 2010 15:27:35 -0000	1.105
+++ sys/dev/pci/if_vr.c	2 Oct 2010 03:00:52 -0000	1.105.2.1
@@ -1,4 +1,4 @@
-/*	$OpenBSD: if_vr.c,v 1.105 2010/05/19 15:27:35 oga Exp $	*/
+/*	$OpenBSD: if_vr.c,v 1.105.2.1 2010/10/02 03:00:52 william Exp $	*/
 
 /*
  * Copyright (c) 1997, 1998
@@ -1562,6 +1562,10 @@
 	d = r->vr_ptr;
 	d->vr_data = htole32(r->vr_map->dm_segs[0].ds_addr);
 	d->vr_ctl = htole32(VR_RXCTL | VR_RXLEN);
+
+	bus_dmamap_sync(sc->sc_dmat, sc->sc_listmap, 0,
+	    sc->sc_listmap->dm_mapsize, BUS_DMASYNC_PREWRITE);
+
 	d->vr_status = htole32(VR_RXSTAT);
 
 	bus_dmamap_sync(sc->sc_dmat, sc->sc_listmap, 0,
